@import "~@angular/material/prebuilt-themes/deeppurple-amber.css";

body {
  background-color: #cb9fb6;
  .welcome-card img {
    max-height: 35vh;
    overflow: hidden;
  }
  .ariziona {
    font-family: 'Custom', Fallback, sans-serif !important;
    font-size: 12.5vw;
    color: #ffffff;
    margin-top: auto;
    margin-bottom: auto;
    text-align: center;
    @media screen and (min-width: 1200px) {
         font-size: 170px;
    }
  }
  .semibold {
    font-family: 'Custom2', Fallback, sans-serif !important;
    font-size: 4.5vh;
    color: #ffffff;
    table-layout: fixed;
    display: flex;
    justify-content: center;
    @media only screen and (min-width: 200px) {
      // transform: scale(0.8);
      zoom: 0.8;
    }
    @media only screen and (min-width: 400px) {
      // transform: scale(0.8);
      zoom: 0.6;
    }
    @media only screen and (min-width: 600px) {
      // transform: scale(0.8);
      zoom: 0.9;
    }
    @media only screen and (min-width: 800px) {
      // transform: scale(0.8);
      zoom: 1.2;
    }
    @media only screen and (min-width: 1000px) {
      // transform: scale(0.8);
      zoom: 1.5;
    }
    @media only screen and (min-width: 1200px) {
      // transform: scale(0.8);
      zoom: 1.8;
    }

  }

  .emotion-color {
    color: black;
  }

  .arrows {
    display: flex;
    justify-content: space-around;
    position: absolute;
    top: 58%;
  }
  
  .arrow {
    max-width: 30%;
    display: flex;
    flex: 1;
  }
  
  .mat-calendar-previous-button {
    position: absolute;
    left: 40px;
  }
  
  .mat-calendar-next-button {
    position: absolute;
    right: 40px;
  }
  
  .mat-calendar-content {
    margin-left: auto;
    margin-right: auto;
  }
  
  .mat-calendar-body-label {
    display: none;
  }
  
  .cal-cell-row {
    height: 100%;
  }
  .ng-star-inserted { 
    height: 51px;
  }
  .cal-month-view .cal-day-cell {
     height: 51px;
     min-height: 0px;
  }
  .month {
    display: flex;
    align-self: center;
  }
  .left-wreath {
    margin-left: auto;
    height: 14.5vh;
  }
  .right-wreath {
    margin-right: auto;
    height: 14.5vh;
  }
  
  .calendar-flex {
    
    display: flex;
    justify-content: center;
  }
  
  .flex-palette {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    flex-grow: 1;
    flex-basis: 25%;
    position: absolute;
    bottom: 0px;
    font-size: 2.5vh;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 10%;
  }
  
  .palette-colours {
    padding-left: 10px;
    padding-right: 10px;
  }
  
  .text-palette {
    text-align: center;
    margin-top: 0.5vh;
    margin-bottom: 0.5vh;
  }
  
  .svg-palette {
    margin-left: auto;
    margin-right: auto;
    display: block;
  }

  .cdk-overlay-pane {
    position: relative;
    margin-left: auto;
    margin-right: auto;
  }
}
  
@font-face {
  font-family: 'Custom';
  src: url('../../assets/fonts/Arizonia-Regular.ttf') format('opentype');
}
@font-face {
  font-family: 'Custom2';
  src: url('../../assets/fonts/CCScottMcCloud\ W00\ Regular.ttf') format('opentype');
}
